/*
 * $Id: KeyState.as,v 1.1.1.1 2007/04/01 08:25:41 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util {
  import flash.events.KeyboardEvent;

  /**
   * Handling a key state.
   */
  public class KeyState {
    public var left:Boolean = false;
    public var up:Boolean = false;
    public var right:Boolean = false;
    public var down:Boolean = false;
    public var a:Boolean = false;
    public var b:Boolean = false;
    public var c:Boolean = false;

    public function onKeyDown(evt:KeyboardEvent):void {
      switch (evt.keyCode) {
      case 0x25:
      //case 0x41:
        left = true;
        break;
      case 0x26:
      //case 0x57:
        up = true;
        break;
      case 0x27:
      //case 0x44:
        right = true;
        break;
      case 0x28:
      //case 0x53:
        down = true;
        break;
      case 0x5a:
        a = true;
        break;
      case 0x58:
        b = true;
        break;
      case 0x43:
        c = true;
        break;
      }
    }

    public function onKeyUp(evt:KeyboardEvent):void {
      switch (evt.keyCode) {
      case 0x25:
      //case 0x41:
        left = false;
        break;
      case 0x26:
      //case 0x57:
        up = false;
        break;
      case 0x27:
      //case 0x44:
        right = false;
        break;
      case 0x28:
      //case 0x53:
        down = false;
        break;
      case 0x5a:
        a = false;
        break;
      case 0x58:
        b = false;
        break;
      case 0x43:
        c = false;
        break;
      }
    }
  }
}
