/*
 * $Id: ParticlePool.as,v 1.1.1.1 2007/04/01 08:25:41 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.la2 {
  import flash.display.BitmapData;
  import abagames.util.Actor;
  import abagames.util.ActorPool;

  /**
   * Particle pool.
   */
  public class ParticlePool extends ActorPool {
    private var buffer:BitmapData;
    private var field:Field;
    private var background:Background;

    public function ParticlePool(n:int, buffer:BitmapData, field:Field, background:Background) {
      this.buffer = buffer;
      this.field = field;
      this.background = background;
      super(n);
    }

    protected override function createActor():Actor {
      return new Particle(buffer, field, background);
    }
  }
}
