/*
 * $Id: ScoreboardPool.as,v 1.1.1.1 2007/04/01 08:25:41 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.la2 {
  import abagames.util.Actor;
  import abagames.util.ActorPool;

  /**
   * Scoreboard pool.
   */
  public class ScoreboardPool extends ActorPool {
    private var field:Field;

    public function ScoreboardPool(n:int, field:Field) {
      this.field = field;
      super(n);
    }

    protected override function createActor():Actor {
      return new Scoreboard(field);
    }
  }
}
