/*
 * $Id: Actor.as,v 1.1.1.1 2007/04/01 08:25:41 kenta Exp $
 *
 * Copyright 2007 Kenta Cho. Some rights reserved.
 */
package abagames.util {

  /**
   * Actor pooled in an ActorPool.
   */
  public class Actor {
    protected var actorPool:ActorPool;
    private var idx:int;
    public var removed:Boolean;

    public function setActorPool(ap:ActorPool):void {
      actorPool = ap;
    }

    public function set index(v:int):void {
      idx = v;
    }

    public function update():void { }

    public function remove():void {
      actorPool.remove(idx);
    }

    public function get exists():Boolean {
      return actorPool.existsActor(idx);
    }
  }
}
